Subject: [payload] Incorrect equation in max-dpb definition in RFC6184

From: "Wei, Xiaohui (Joanne)" <[email-masked]>
Date: Wed, 14 Mar 2012 23:38:04 -0400

Dear All,

I just found the equation in max-dpb definition in RFC6184 is incorrect:

On page 46 in RFC6184:

max-dpb: The value of max-dpb is an integer indicating the maximum

         decoded picture buffer size in units of 8/3 macroblocks.

         The max-dpb parameter signals that the receiver has more memory

         than the minimum amount of decoded picture buffer memory

         required by the signaled highest level conveyed in the value of

         the profile-level-id parameter or the max-recv-level parameter.

         When max-dpb is signaled, the receiver MUST be able to decode

         NAL unit streams that conform to the signaled highest level,

         with the exception that the MaxDpbMbs value in Table A-1 of [1]

         for the signaled highest level is replaced with the value of

         max-dpb * 3 / 8. Consequently, a receiver that signals max-dpb

         MUST be capable of storing the following number of decoded

         frames, complementary field pairs, and non-paired fields in its

         decoded picture buffer:

         Min(max-dpb * 3 / 8 / ( PicWidthInMbs * FrameHeightInMbs), 16)

I understand this definition needs to be backwards compatible to RFC 3984. I think to

be backwards compatible to RFC 3984, the decoded picture buffer should be

Min(max-dpb * 8 / 3 /( PicWidthInMbs * FrameHeightInMbs), 16)

instead of Min(max-dpb * 3 / 8 /( PicWidthInMbs * FrameHeightInMbs), 16) in RFC6184.

And "When max-dpb is signaled, the receiver MUST be able to decode

     NAL unit streams that conform to the signaled highest level,

     with the exception that the MaxDpbMbs value in Table A-1 of [1]

     for the signaled highest level is replaced with the value of

     max-dpb * 3 / 8." Should be changed to "...the MaxDpbMbs value in

     Table A-1 of [1]  for the signaled highest level is replaced with

     the value of max-dpb * 8 / 3."

Thanks!

Best regards,

Xiaohui Wei (Joanne)

---

From: "Wang, Ye-Kui" <[email-masked]>
Date: Thu, 15 Mar 2012 05:05:17 +0000

I believe it is indeed a bug, and should be corrected.

Chairs, what is the best way to make a corrigendum for this?

BR, YK

From: [email-masked] [mailto:[email-masked]] On Behalf Of Wei, Xiaohui (Joanne)
Sent: Wednesday, March 14, 2012 8:38 PM
To: [email-masked]
Subject: [payload] Incorrect equation in max-dpb definition in RFC6184

Dear All,

On page 46 in RFC6184:

         decoded picture buffer:

Thanks!

Best regards,

Xiaohui Wei (Joanne)

---

From: Glen Zorn <[email-masked]>
Date: Thu, 15 Mar 2012 12:26:34 +0700

> Chairs, what is the best way to make a corrigendum for this?

http://www.rfc-editor.org/errata.php

> 
>  
> 
> BR, YK
> 
>  
> 
> *From:[email-masked] [mailto:[email-masked]] *On
> Behalf Of *Wei, Xiaohui (Joanne)
> *Sent:* Wednesday, March 14, 2012 8:38 PM
> *To:* [email-masked]
> *Subject:* [payload] Incorrect equation in max-dpb definition in RFC6184
> 
>  
> 
> Dear All,
> 
>  
> 
> Min(max-dpb * *8 / 3* /( PicWidthInMbs * FrameHeightInMbs), 16)
> 
>  
> 
> instead of Min(max-dpb * *3 / 8* /( PicWidthInMbs * FrameHeightInMbs),
> 16) in RFC6184.
> 
>  
> 
> And “When max-dpb is signaled, the receiver MUST be able to decode
> 
>      max-dpb * *3 / 8.*” Should be changed to “…the MaxDpbMbs value in
> 
>      the value of max-dpb * *8 / 3*.”
> 
>  
> 
> Thanks!
> 
>  
> 
> Best regards,
> 
> Xiaohui Wei (Joanne)
> 
>  
> 
>  
> 
> 
> 
> _______________________________________________
> payload mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/payload